
Redmine - Defect #9556

List of Issues is not accessible in 1.2-stable

2011-11-12 13:14 - bearded bearded

Status: Closed Start date: 2011-11-12

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Processing IssuesController#index (for 109.229.4.3 at 2011-11-10 17:08:15) [GET]

  Parameters: {"project_id"=>"compactx", "action"=>"index", "controller"=>"issues"}

Rendering template within layouts/base

Rendering issues/index.rhtml

ActionView::TemplateError (interning empty string) on line #4 of app/views/queries/_columns.rhtml:

1: <table style="border-collapse: collapse; border:0;">

2:     <tr>

3:         <td style="padding-left:0"><%= select_tag 'available_columns',

4:                   options_for_select((query.available_columns - query.columns).collect {|column

| [column.caption, column.name]}),

5:                   :multiple => true, :size => 10, :style => "width:150px" %>

6:         </td>

7:         <td align="center" valign="middle">

    app/models/query.rb:344:in `map'

    app/models/query.rb:344:in `default_columns_names'

    app/models/query.rb:337:in `columns'

    app/views/queries/_columns.rhtml:4:in `_run_rhtml_app47views47queries47_columns46rhtml_locals_

columns_object_query'

    app/views/issues/index.rhtml:26:in `_run_rhtml_app47views47issues47index46rhtml'

    app/views/issues/index.rhtml:11:in `_run_rhtml_app47views47issues47index46rhtml'

    app/controllers/issues_controller.rb:92:in `index'

    app/controllers/issues_controller.rb:91:in `index'

    config/initializers/mongrel.rb:62:in `dispatch_cgi'

Rendering /usr/home/redmine/redmine/public/500.html (500 Internal Server Error)

</console>

 $ ruby --version

ruby 1.8.7 (2011-02-18 patchlevel 334) [x86_64-linux], MBARI 0x6770, Ruby Enterprise Edition 2011.03

History

#1 - 2011-11-12 13:16 - bearded bearded

ree-1.8.7-2011.03 :001 >Setting.issue_list_default_columns

=> ["", "tracker", "status", "priority", "subject", "assigned_to", "updated_on"]

#2 - 2011-11-12 15:41 - Etienne Massip

Please provide details as stated in SubmittingBugs.

#3 - 2011-11-14 11:02 - bearded bearded

Etienne Massip wrote:

Please provide details as stated in SubmittingBugs.

Etienne, I can't open a list of Issues on next versions:
https://www.redmine.org/projects/redmine/wiki/SubmittingBugs
https://www.redmine.org/projects/redmine/wiki/SubmittingBugs


Redmine r7731

PostgreSQL 8.4.1

Ruby 1.8.7 (2011-02-18 patchlevel 334) [x86_64-linux], MBARI 0x6770, Ruby Enterprise Edition 2011.03

Rails 2.3.11

Git 1.7.3.4

Stack trace is in Description

#4 - 2011-11-14 11:50 - Etienne Massip

It looks like a plugin issue, do you have some installed?

#5 - 2011-11-14 12:45 - bearded bearded

Yes, I'm using redmine_backlogs fully updated from master branch.

#6 - 2011-11-14 12:47 - bearded bearded

Processing IssuesController#index (for 109.229.24.241 at 2011-11-14 12:45:51) [GET]

  Parameters: {"project_id"=>"compactx", "action"=>"index", "controller"=>"issues"}

Rendering template within layouts/base

Rendering issues/index.rhtml

ActionView::TemplateError (interning empty string) on line #4 of app/views/queries/_columns.rhtml:

1: <table style="border-collapse: collapse; border:0;">

2:     <tr>

3:         <td style="padding-left:0"><%= select_tag 'available_columns',

4:                   options_for_select((query.available_columns - query.columns).collect {|column| [column.ca

ption, column.name]}),

5:                   :multiple => true, :size => 10, :style => "width:150px" %>

6:         </td>

7:         <td align="center" valign="middle">

    app/models/user.rb:175:in `to_sym'

    app/models/user.rb:175:in `to_proc'

    app/models/query.rb:344:in `map'

    app/models/query.rb:344:in `default_columns_names'

    app/models/query.rb:337:in `columns'

    app/views/queries/_columns.rhtml:4:in `_run_rhtml_app47views47queries47_columns46rhtml_locals_columns_obje

ct_query'

    app/views/issues/index.rhtml:26:in `_run_rhtml_app47views47issues47index46rhtml'

    app/views/issues/index.rhtml:11:in `_run_rhtml_app47views47issues47index46rhtml'

    app/controllers/issues_controller.rb:92:in `index'

    app/controllers/issues_controller.rb:91:in `index'

    config/initializers/mongrel.rb:62:in `dispatch_cgi'

Rendering /usr/home/redmine/redmine/public/500.html (500 Internal Server Error)

#7 - 2011-11-14 13:49 - Etienne Massip

bearded bearded wrote:

Yes, I'm using redmine_backlogs fully updated from master branch.

 Did you try without it?

#8 - 2011-11-14 13:59 - Etienne Massip

Also try going into your administration/settings issue tracking tab, check your default column list and click on save.

#9 - 2011-11-14 14:04 - bearded bearded

Etienne Massip wrote:

Also try going into your administration/settings issue tracking tab, check your default column list and click on save.

 It helped me, thank you!

#10 - 2011-11-14 16:11 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid

Powered by TCPDF (www.tcpdf.org)

2025-05-14 2/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/7731
https://github.com/relaxdiego/redmine_backlogs
https://github.com/relaxdiego/redmine_backlogs
http://www.tcpdf.org

